Bug 112033 - XML Source button disabled (In Data Menu)
Summary: XML Source button disabled (In Data Menu)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.5
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2017-08-25 21:14 UTC by gbc921
Modified: 2018-02-02 18:58 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gbc921 2017-08-25 21:14:02 UTC
Description:
When editing a document, there is no way to import a "XLM Source" through the "Data" menu as the button seems to be always disabled.

This has been reported here [1] for other users as well, on Linux and Windows machines. It seems like a regression from last version (5.3).

[1]: https://ask.libreoffice.org/en/question/121020/dataxml-source-button-disabled/

Steps to Reproduce:
1.Open an empty spreadsheet;
2.Click "Data" menu;
3.Try to click "XML Source".

Actual Results:  
1.Open an empty spreadsheet;
2.Click on "Data" at the top bar menu;
3.Try to click "XML Source".

Expected Results:
After clicking "XML Source" button, a new popup wind should appear.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Jacques Guilleron 2017-08-26 14:10:33 UTC
Hi gbc921,

I reproduce with
LO 6.0.0.0.alpha0+ Build ID: 02c53f744ed23e2149fc7c83d67cb7d8aa5eb0ed
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-24_05:48:55
Locale: fr-FR (fr_FR); Calc: CL
LO 5.4.0.3 (x64) Build ID: 92c2794a7c181ba4c1c5053618179937228ed1fb
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: single
...
LO 5.4.0.0.alpha0+ Build ID: cb598029835477326b190bc99abd31a487cc5a91
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-09_00:49:18
Locale: fr-FR (fr_FR); Calc: CL
Was there in
LO  5.3.0.0.alpha1+ Build ID: b223028d65d24ffcd8e27974c29c2744a5df6227
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-11-16_23:38:55
Locale: fr-FR (fr_FR); Calc: CL

Thanks to have reported it.
Comment 2 Jacques Guilleron 2017-08-26 14:13:43 UTC
Works as expected in LO 5.3.
Comment 3 raal 2017-08-27 15:44:11 UTC
This seems to have begun at the below commit.
Adding Cc: to Markus Mohrhard ; Could you possibly take a look at this one?
Thanks

bibisect-linux-64-5.4
f82a38fb774d96ce26568e31b9876482c264bc12 is the first bad commit
commit f82a38fb774d96ce26568e31b9876482c264bc12
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Feb 7 21:43:37 2017 +0100

    source sha:039261b3f63a8949fd0f20e7cb80d017f26c9f08

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-11-28 00:51:45 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-11-28 15:52:20 (GMT)
commit	039261b3f63a8949fd0f20e7cb80d017f26c9f08 (patch)
tree	069cd3af4db1862d51c277045126737f72bd805b
parent	764358a43b83cdae9269af47070e3cb4739c96c0 (diff)
orcus is mandatory now
Comment 4 farside268 2017-11-10 19:38:09 UTC
This problem persists in 5.4.2.2 release version
Comment 5 Markus Mohrhard 2017-12-14 22:34:49 UTC
(In reply to raal from comment #3)
> This seems to have begun at the below commit.
> Adding Cc: to Markus Mohrhard ; Could you possibly take a look at this one?
> Thanks
> 
> bibisect-linux-64-5.4
> f82a38fb774d96ce26568e31b9876482c264bc12 is the first bad commit
> commit f82a38fb774d96ce26568e31b9876482c264bc12
> Author: Jenkins Build User <tdf@pollux.tdf>
> Date:   Tue Feb 7 21:43:37 2017 +0100
> 
>     source sha:039261b3f63a8949fd0f20e7cb80d017f26c9f08
> 
> author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-11-28 00:51:45
> (GMT)
> committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-11-28
> 15:52:20 (GMT)
> commit	039261b3f63a8949fd0f20e7cb80d017f26c9f08 (patch)
> tree	069cd3af4db1862d51c277045126737f72bd805b
> parent	764358a43b83cdae9269af47070e3cb4739c96c0 (diff)
> orcus is mandatory now

65722772f00a40b8ca8adf21e31c22295ef7d215 made this an experimental feature. So it is now only available if experimental options have been enabled.
Comment 6 Ramiro Pereira de Magalhães 2017-12-15 11:11:29 UTC
I see this issue in 5.4.3.2 (x64) (92a7159f7e4af62137622921e809f8546db437e5).
Comment 7 Ramiro Pereira de Magalhães 2017-12-15 11:21:21 UTC
Sorry, what I meant to say is that even after turning experimental features on, the XML Source menu is till.

Version: 5.4.3.2 (x64) (92a7159f7e4af62137622921e809f8546db437e5).
Comment 8 Ramiro Pereira de Magalhães 2017-12-15 12:24:43 UTC
Sorry, it seems I forgot how to type.

Even after turning experimental features on, the XML Source menu is still disabled.
Comment 9 Jacques Guilleron 2017-12-15 16:08:27 UTC
@Ramiro,

I also confirm that "XML Source..." is unavailable though "Enable experimetal feature" is ticked in 
LO 5.4.3.1 Build ID: 32c8895c6cae21571f364dbb059f419a743ee44d
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
LO  5.4.0.0.alpha1 Build ID: 0b9f9bef65bb21ebb6a64aafad448f7f62dc824a
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
but not with
LO 6.1.0.0.alpha0+ Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: fr-FR (fr_FR); Calc: CL
and upper versions
where "XML Source..." is available when "Enable experimental features" is ticked.

Markus, is it possible to correct it in the next LO 5.4?
Comment 10 Marina Latini (CIB) 2018-01-10 09:50:49 UTC
Fixed in:

Versione: 6.0.0.1
Build ID: 00m0(Build:1)
Thread CPU: 4; SO: Linux 4.14; Resa interfaccia: predefinito; VCL: gtk3; 
Versione locale: it-IT (it_IT.UTF-8); Calc: group
OS: openSUSE tumbleweed

the feature is available only with experimental features enabled
Comment 11 Xisco Faulí 2018-01-10 10:57:04 UTC
The menu entry was enabled in advanced mode in this commit: https://cgit.freedesktop.org/libreoffice/core/commit/?id=65722772f00a40b8ca8adf21e31c22295ef7d215
cherry-picked to 5.4: https://gerrit.libreoffice.org/#/c/47696/1
Comment 12 Commit Notification 2018-01-30 17:10:47 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ac1a46f712f38fee3323e7c4ed121880469a9d3&h=libreoffice-5-4

tdf#112033: enable the xml source feature when the experimental features are enabled

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Jacques Guilleron 2018-02-02 18:58:41 UTC
Hi all,

Works too with
LO 5.4.5.1 Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL

Thank you very much, Markus.